; Setup script for FileFP
; =======================
;   Dr. J. Rathlev, D-24222 Schwentinental (kontakt(a)rathlev-home.de)

;  The contents of this file may be used under the terms of the
;  Mozilla Public License ("MPL") or
;  GNU Lesser General Public License Version 2 or later (the "LGPL")

;  Software distributed under this License is distributed on an "AS IS" basis,
;  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
;  the specific language governing rights and limitations under the License.

#define ApplicationVersion GetFileVersion('..\Release\Win32\FileFP.exe')
#define Year GetDateTimeString('yyyy','','')

[Setup]
PrivilegesRequired=admin
AppName=FileFP
AppVerName=FileFP {#ApplicationVersion}
AppVersion={#ApplicationVersion}
AppPublisher=Dr. J. Rathlev
AppPublisherURL=http://www.rathlev-home.de/?tools/codetools.html#sigs
AppSupportURL=http://www.rathlev-home.de/?tools/codetools.html#sigs
AppUpdatesURL=http://www.rathlev-home.de/?tools/codetools.html#sigs
AppCopyright=Copyright  2012-{#Year} Dr. J. Rathlev, D-24222 Schwentinental
VersionInfoVersion={#ApplicationVersion}
DefaultDirName={pf}\Utilities\FileFP
DefaultGroupName=Utilities
AllowNoIcons=yes
LicenseFile=..\docs\license.txt
OutputDir=.
OutputBaseFilename=FileFP-setup
SetupIconFile=..\fingerprint.ico
UninstallDisplayIcon={app}\fingerprint-x.ico
Compression=lzma
SolidCompression=yes

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "de"; MessagesFile: "compiler:Languages\German.isl"

[CustomMessages]
en.ProgName=Generate MD5,SHA1 and SHA256 fingerprints
en.FileAssoc=File associations:
en.TaskContext="Generate MD5/SHA1/SHA256 fingerprints" in context menu of files
en.CalcContext=Generate &MD5/SHA1/SHA256 fingerprints ..

de.ProgName=MD5,SHA1 und SHA256-Fingerprints erzeugen
de.FileAssoc=Dateizuordnungen:
de.TaskContext="MD5/SHA1/SHA256-Fingerprints erzeugen" im Kontext-Men von Dateien
de.CalcContext=&MD5/SHA1/SHA256-Fingerprints erzeugen ..

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: checkedonce
Name: "fileassoc"; Description: "{cm:TaskContext}"; GroupDescription: "{cm:FileAssoc}"; Flags: checkedonce

[Registry]
Root: HKCR; Subkey: "*\shell\FileFP"; ValueType: string; ValueName: ""; ValueData: "{cm:CalcContext}"; Tasks: fileassoc; Flags: uninsdeletekey
Root: HKCR; Subkey: "*\shell\FileFP\command"; ValueType: string; ValueName: ""; ValueData: """{app}\FileFP.exe"" ""%1"""; Tasks: fileassoc; Flags: uninsdeletekey

[Files]
Source: "..\Release\Win32\FileFP.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\fingerprint-x.ico"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\docs\license-*.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\*.ico"; DestDir: "{app}"; Flags: ignoreversion
;Source: "..\Release\Win32\locale\*.mo"; DestDir: "{app}\locale"; Flags: recursesubdirs ignoreversion restartreplace
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\{cm:ProgName}"; Filename: "{app}\FileFP.exe"
Name: "{group}\{cm:UninstallProgram,{cm:ProgName}}"; Filename: "{uninstallexe}"; IconFilename: "{app}\fingerprint-x.ico"
Name: "{commondesktop}\{cm:ProgName}"; Filename: "{app}\FileFP.exe"; Tasks: desktopicon

[Run]
Filename: "{app}\FileFP.exe"; Description: "{cm:LaunchProgram,{cm:ProgName}}"; Flags: nowait unchecked postinstall skipifsilent

